<?php get_header(); ?>

	<div id="primary" class="content-area">
		<?php if ( has_nav_menu( 'front_archive_list' )  && !(is_paged()) ) { ?>
			<div id="featuredpostscontainer">
				<?php if ( is_active_sidebar( 'featured-widget-area' ) ) : ?>
					<div id="featuredposts">
						<?php $menu_locationfeatured = 'front_archive_list';
							  $menu_locationsfeatured = get_nav_menu_locations();
							  $menu_objectfeatured = (isset($menu_locationsfeatured[$menu_locationfeatured]) ? wp_get_nav_menu_object($menu_locationsfeatured[$menu_locationfeatured]) : null);
							  $menu_namefeatured = (isset($menu_objectfeatured->name) ? $menu_objectfeatured->name : '');
							  echo '<div class="featuredpoststitle"><h2>' . esc_html($menu_namefeatured) . '</h2></div>';
							  echo get_front_posts_list(); ?>
					</div>
					
					<div id="featuredwidgets">
						<?php get_sidebar('featured'); ?>
					</div>
				<?php else : 
						echo get_front_posts_list();
					 endif; ?>
			</div>
		<?php } ?>
		
		<?php get_sidebar('toppostlist'); ?>
		
		<?php 
			// Get Select Menus
			if( 
			(class_exists('WooCommerce') && is_woocommerce()) ||
			(class_exists('WooCommerce') && is_cart()) ||
			(class_exists('WooCommerce') && is_checkout()) ||
			(class_exists('WooCommerce') && is_account_page()) ||
			(class_exists('WooCommerce') && is_wc_endpoint_url()) 
			) 
			{} else { rich_selects(); } ?>

		
		<main id="main" class="site-main">
			<div id="loopwrap">

		<?php if ( have_posts() ) : 
			// Start the loop.
			while ( have_posts() ) : the_post();

				// Include the template part loop. 
				get_template_part( 'loop', get_post_format() );

			// End the loop.
			endwhile;
			
			echo('</div>');

			// Previous/next page navigation.
			the_posts_pagination( array(
				'prev_text'          => __( 'Previous page', 'video-world' ),
				'next_text'          => __( 'Next page', 'video-world' ),
				'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'video-world' ) . ' </span>',
			) );

		// If no content, include the "No posts found" template.
		else :
			get_template_part( 'content', 'none' );
			
			echo('</div>');

		endif;
		?>
		
		
		</main><!-- .site-main -->
		
	</div><!-- .content-area -->

<?php get_footer(); ?>
